#!/bin/bash
# Program cpcdailyrain-sa.bash 
# Copyright (C) Assela Pathirana
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
# #########################################################################
SKIP="" #skip/do the time consuming download/extract part (In bash false means "" REMEMBER!!)
PRESERVE="" # do/not erase the intermediate files

if [ $# -lt 1 ] ; then 
  echo "Plot CPC rainfall data  on a geographical map"
  echo "usage: $0 <CPC binary data file>"
  echo " e.g. $0 cpc_rfe_v2.0_sa_dly.bin.20060401"
  echo "Dependancies: "
  echo "GMT tools "
  echo
  exit 1 
fi
err=0
if [ ! -f "plot.inc" ]; then 
  echo "plot.inc : file not found!"
  exit 5
fi
rm -f .gmt*  
#set -x
source './plot.inc'
hdiff=24 #this is 24h process
datares=0.1/0.1 # geographical resolution of data in degrees
datacorners=70/110/5/35 # extent of  data
outname=$1
date=`echo $outname|sed 's/^.*\.//g'`
databox=$datacorners
echo $databox
tmp=$0.tmp
cat << EOF >  $tmp.in
$outname 
$databox
EOF
  ./makegrid.bash  $tmp.in  >& makegrid.log
err=$(( $err + $? )) 
  rm -f $tmp.*
out=$outname.ps
title="${hdiff}h accumulated CPC_PRECIP  at $date UT"
filetobeplotted=$outname.grd
#call the plotting program in current env.
todate=$date
details="CPC rainfall product (NOAA) for the ${hdiff}h period ending at $date"
PLOTBOX=$PLOTBOX #just to remind you :-)
source ./plotgrid.script
err=$(( $err + $? )) 
rm -f $outname.grd $outname.grd.2 $outname.tmp.dat 
exit $err


  

